﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace WindowsFormsApplication1
{
    public class Data
    {
        public static IEnumerable<Product> GetProducts()
        {
            // Create sample data
            List<Product> _list = new List<Product>();
            _list.Add(new Product() { Code = 1, Description = "Book", Price = 19.00 });
            _list.Add(new Product() { Code = 2, Description = "Car", Price = 30000.00 });
            _list.Add(new Product() { Code = 3, Description = "Bottle Coke", Price = 2.50 });
            return _list;
        }

        private static IEnumerable<Product> _products;
        public static IEnumerable<Product> Products
        {
            get
            {
                if (_products == null)
                    _products = GetProducts();
                return _products;
            }
            set
            {
                _products = value;
            }
        }
    }
}
